Markit AI LogoMarkit | Docs
Markit API

Events

The events resource allows you to handle Retrieve related functionality to view your events on Markit. You can also Create, Update, and Delete linked events on Markit. The following actions can be performed on this resource...

Management

  • Retrieve All Events
  • Retrieve a Single Event

Linked Events

  • Create a Linked Event
  • Update a Linked Event
  • Delete a Linked Event

Management

Retrieve All Events

Retrieves all events of the specified type on your account.

    GET https://api.markitai.com/v1/events

You can include additional parameters in the request as described in the Query Parameters section. For instance, the request below will return contacts with a createdAt of "asc" (ascending).

    GET https://api.markitai.com/v1/events?createdAt=asc

Available query parameters:

  • limit: 20 (default)
  • offset: 0 (default)
  • eventType: 'Markit' | 'Linked_Event' | 'Webinar' | 'Eventbrite' | 'Showclix' (default = 'Markit')
  • createdAt: ‘desc’ | ‘asc’ (default = ‘desc’)
  • upcoming: boolean (true to show only upcoming events by start time)

Example Response:

{
  "data": [
    {
      "id": "123456",
      "geohash": "xxxxxx",
      "googlePlaceId": "XXXXXX",
      "googleDescription": "XxXxXx",
      "body": { "content": [], "type": "doc" },
      "createdBy": "abc123",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "lat": 42.360091,
      "lng": -71.09416,
      "photoURL": "https://firebasestorage.googleapis.com/...",
      "isDraft": false,
      "theme": 0,
      "title": "Event Title",
      "start": "2024-01-01T00:00:00.000Z",
      "end": "2024-01-02T00:00:00.000Z",
      "eventType": "Markit",
      "externalEventId": "",
      "externalLink": "",
      "link": "",
      "visibility": 1,
      "visibilityCommunity": "",
      "stripePaymentCollector": "",
      "customTickets": [
        {
          "price": 0,
          "id": "123123",
          "minQuantity": 1,
          "maxQuantity": 8,
          "quantityAvailable": 0,
          "hideTicket": false,
          "formQuestions": ["abc", "def", "ghi"],
          "type": "free",
          "label": "RSVP",
          "externalTicketId": ""
        },
        ...
      ],
      "promoCodes": [],
      "canRefund": false,
      "canTransfer": false,
      "crowdfundingGoal": 0,
      "crowdfundingHide": false,
      "contributions": [],
      "hideResponses": true,
      "formattedAddress": "US...",
      "privateLocation": false,
      "locationDetails": "",
      "isFeatured": false,
      "locationBasedRSVP": false,
      "isVirtual": false,
      "isManualSoldOut": false
    },
    ...
  ],
  "pagingData": {
    "prevPage": null,
    "currentPage": null,
    "nextPage": null,
    "currentPageString": null,
    "hasMore": false
  }
}

Retrieve a Single Event

Retrieves a single event with the event ID equal to {id}.

    GET https://api.markitai.com/v1/events/{id}

Example Response:

{
  "event": {
    "id": "123456",
    "geohash": "xxxxxx",
    "googlePlaceId": "XXXXXX",
    "googleDescription": "XxXxXx",
    "body": { "content": [], "type": "doc" },
    "createdBy": "abc123",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "lat": 42.360091,
    "lng": -71.09416,
    "photoURL": "https://firebasestorage.googleapis.com/...",
    "isDraft": false,
    "theme": 0,
    "title": "Event Title",
    "start": "2024-01-01T00:00:00.000Z",
    "end": "2024-01-02T00:00:00.000Z",
    "eventType": "Markit",
    "externalEventId": "",
    "externalLink": "",
    "link": "",
    "visibility": 1,
    "visibilityCommunity": "",
    "stripePaymentCollector": "",
    "customTickets": [
      {
        "price": 0,
        "id": "123123",
        "minQuantity": 1,
        "maxQuantity": 8,
        "quantityAvailable": 0,
        "hideTicket": false,
        "formQuestions": ["abc", "def", "ghi"],
        "type": "free",
        "label": "RSVP",
        "externalTicketId": ""
      },
      ...
    ],
    "promoCodes": [],
    "canRefund": false,
    "canTransfer": false,
    "crowdfundingGoal": 0,
    "crowdfundingHide": false,
    "contributions": [],
    "hideResponses": true,
    "formattedAddress": "US...",
    "privateLocation": false,
    "locationDetails": "",
    "isFeatured": false,
    "locationBasedRSVP": false,
    "isVirtual": false,
    "isManualSoldOut": false
  }
}

Tickets

Cancel a Ticket

Cancel the Markit event ticket(s) for the specified phone number user. Will cancel all free tickets associated with the user for that event.

POST https://api.markitai.com/v1/events/{id}/tickets/cancel
ParameterTypeRequiredDefaultDescription
phoneNumberstringYes-The phone number of the recipient (US or non-US). See Phone Number Formatting.

Example Response:

{
  "cancelledTickets": [
    {
      "alias": "",
      "amountPaid": 0,
      "chargeId": "pi_xxxxx",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "customTicketId": "123456",
      "eventId": "123abc",
      "externalOrderId": "",
      "id": "123123",
      "originalOwner": "abcabc",
      "uid": "abcabc",
      "redeemedBy": "abcabc",
      "promoter": "",
      "requestStatus": "accepted",
      "scanned": true,
      "phoneNumber": "+12345678910"
    },
    ...
  ]
}

Linked Events

Create a Linked Event

Pass in the event details from the external event page to create a linked event on Markit. An event automation will automatically be created for this event, including an Auto Text that is triggered when someone gets a ticket. Any additional default texts specified in the "Default Event Texts" automation will also be added. Edit the automations within the Markit platform.

POST https://api.markitai.com/v1/events/linked-events
ParameterTypeRequiredDefaultDescription
titlestringYes-The name of the external event
startstringYes-ISO 8601 Datetime. For example, 2025-10-19T03:27:13.673Z
endstringYes-ISO 8601 Datetime. For example, 2025-10-19T04:27:13.673Z
timezonestringYes-IANA Timezone, e.g. America/New_York. https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
externalEventIdstringYes-The unique identifier for the event object provided by the external event platform.
externalLinkstringYes-The url of the external event (ie. https://luma.com/123abc)
ticketTypesobject[]Yes-The ticket types on the external event (see below for object fields)
coordinatesobjectYes (if no address or isVirtual)-The latitude/longitude { lat: 42.356106499999996, lng: -71.0568416 }
addressstringYes (if no coordinates or isVirtual)-The formatted address (ie. 800 Boylston St, Boston, MA 02199)
isVirtualbooleanYes (if no coordinates or address)-True if the event is virtual, false otherwise. If address or coordinates is defined, that will take precedence and set isVirtual to false
photoUrlstringNo-The url of the event cover photo
formQuestionIdsstring[]No-The IDs of the Markit data questions to match any additional attendee data with their Markit data questions.

TicketTypes Create Parameters

ParameterTypeRequiredDefaultDescription
externalTicketIdstringYes-The ID of the external event ticket type (required for linked events for proper mapping)
labelstringYes-The name of the ticket type
minQuantitystringNo1The minimum number of tickets that an attendee can get
maxQuantitystringNo8The maximum number of tickets that an attendee can get
pricestringNo0The price in cents of the ticket
typestringNo'free'The ticket type options: 'free', 'paid'

Example Response:

{
  "message": "Event created successfully!",
  "event": {
    "id": "123456",
    "geohash": "xxxxxx",
    "googlePlaceId": "XXXXXX",
    "googleDescription": "XxXxXx",
    "body": { "content": [], "type": "doc" },
    "createdBy": "abc123",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "lat": 42.360091,
    "lng": -71.09416,
    "photoURL": "https://firebasestorage.googleapis.com/...",
    "isDraft": false,
    "theme": 0,
    "title": "Event Title",
    "start": "2024-01-01T00:00:00.000Z",
    "end": "2024-01-02T00:00:00.000Z",
    "eventType": "Markit",
    "externalEventId": "",
    "externalLink": "",
    "link": "",
    "visibility": 1,
    "visibilityCommunity": "",
    "stripePaymentCollector": "",
    "customTickets": [
      {
        "price": 0,
        "id": "123123",
        "minQuantity": 1,
        "maxQuantity": 8,
        "quantityAvailable": 0,
        "hideTicket": false,
        "formQuestions": ["abc", "def", "ghi"],
        "type": "free",
        "label": "RSVP",
        "externalTicketId": ""
      },
      ...
    ],
    "promoCodes": [],
    "canRefund": false,
    "canTransfer": false,
    "crowdfundingGoal": 0,
    "crowdfundingHide": false,
    "contributions": [],
    "hideResponses": true,
    "formattedAddress": "US...",
    "privateLocation": false,
    "locationDetails": "",
    "isFeatured": false,
    "locationBasedRSVP": false,
    "isVirtual": false,
    "isManualSoldOut": false
  }
}

Update a Linked Event

Pass in the relevant event details to update an existing linked event on Markit. If the start time is updated, the associated event automation texts will be shifted appropriately.

POST https://api.markitai.com/v1/events/linked-events/update
ParameterTypeRequiredDefaultDescription
externalEventIdstringYes-The unique identifier for the event object provided by the external event platform.
externalLinkstringNo-The url of the external event (ie. https://luma.com/123abc)
titlestringNo-The name of the external event
startstringNo-ISO 8601 Datetime. For example, 2025-10-19T03:27:13.673Z
endstringNo-ISO 8601 Datetime. For example, 2025-10-19T04:27:13.673Z
timezonestringNo-IANA Timezone, e.g. America/New_York. https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
coordinatesobjectNo-The latitude/longitude { lat: 42.356106499999996, lng: -71.0568416 }
addressstringNo-The formatted address (ie. 800 Boylston St, Boston, MA 02199)
isVirtualbooleanNo-True if the event is virtual, false otherwise. If address or coordinates is defined, that will take precedence and set isVirtual to false
photoUrlstringNo-The url of the event cover photo
ticketTypesobject[]No-The ticket types on the external event (see below for object fields)
formQuestionIdsstring[]No-The IDs of the Markit data questions to match any additional attendee data with their Markit data questions.

TicketTypes Update Parameters

ParameterTypeRequiredDefaultDescription
externalTicketIdstringYes-The existing external ticket ID to update, or new ticket to create
labelstringYes-The name of the ticket type
minQuantitystringNo1The minimum number of tickets that an attendee can get
maxQuantitystringNo8The maximum number of tickets that an attendee can get
pricestringNo0The price in cents of the ticket
typestringNo'free'The ticket type options: 'free', 'paid'

Example Response:

{
  "message": "Event updated successfully!",
  "event": {
    "id": "123456",
    "geohash": "xxxxxx",
    "googlePlaceId": "XXXXXX",
    "googleDescription": "XxXxXx",
    "body": { "content": [], "type": "doc" },
    "createdBy": "abc123",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "lat": 42.360091,
    "lng": -71.09416,
    "photoURL": "https://firebasestorage.googleapis.com/...",
    "isDraft": false,
    "theme": 0,
    "title": "Event Title",
    "start": "2024-01-01T00:00:00.000Z",
    "end": "2024-01-02T00:00:00.000Z",
    "eventType": "Markit",
    "externalEventId": "",
    "externalLink": "",
    "link": "",
    "visibility": 1,
    "visibilityCommunity": "",
    "stripePaymentCollector": "",
    "customTickets": [
      {
        "price": 0,
        "id": "123123",
        "minQuantity": 1,
        "maxQuantity": 8,
        "quantityAvailable": 0,
        "hideTicket": false,
        "formQuestions": ["abc", "def", "ghi"],
        "type": "free",
        "label": "RSVP",
        "externalTicketId": ""
      },
      ...
    ],
    "promoCodes": [],
    "canRefund": false,
    "canTransfer": false,
    "crowdfundingGoal": 0,
    "crowdfundingHide": false,
    "contributions": [],
    "hideResponses": true,
    "formattedAddress": "US...",
    "privateLocation": false,
    "locationDetails": "",
    "isFeatured": false,
    "locationBasedRSVP": false,
    "isVirtual": false,
    "isManualSoldOut": false
  }
}

Delete a Linked Event

Pass in the external event ID to delete an existing linked event on Markit. This will also delete the event automation and all other data associated with the event, but will not delete the contacts that were collected for the event.

DELETE https://api.markitai.com/v1/events/linked-events/delete
ParameterTypeRequiredDefaultDescription
externalEventIdstringYes-The unique identifier for the event object provided by the external event platform to delete.

Example Response:

{
  "message": "Event deleted successfully!",
  "externalEventId": "abc123"
}

On this page